Bug 1271971 - (CVE-2015-7835, xsa148) CVE-2015-7835 xen: Uncontrolled creation of large page mappings by PV guests on x86
CVE-2015-7835 xen: Uncontrolled creation of large page mappings by PV guests ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151029,repo...
: Security
Depends On: 1276344
Blocks: 1271637
  Show dependency treegraph
 
Reported: 2015-10-15 04:07 EDT by Adam Mariš
Modified: 2015-11-09 19:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xen-unstable, Xen 4.6.x (1.63 KB, patch)
2015-10-15 04:09 EDT, Adam Mariš
no flags Details | Diff
Xen 4.5.x (1.62 KB, patch)
2015-10-15 04:10 EDT, Adam Mariš
no flags Details | Diff
Xen 4.4.x, Xen 4.3.x (1.53 KB, patch)
2015-10-15 04:10 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-10-15 04:07:05 EDT
A vulnerability in xen allowing malicious PV guest administrators to escalate privilege, so as to control the whole system, was found.

The code to validate level 2 page table entries is bypassed when certain conditions are satisfied. This means that a PV guest can create writeable mappings using super page mappings. Such writeable mappings can violate Xen intended invariants for pages which Xen is supposed to keep read-only. This is possible even if the "allowsuperpage" command line option is not used.

Xen 3.4 and onward on x86 (both 32 and 64 bit) systems are vulnerable. Only PV guests can exploit the vulnerability.

Mitigation:

Running only HVM guests will avoid this vulnerability. On systems where the guest kernel is controlled by the host rather than guest administrator, running only kernels which do not call these hypercalls will also prevent untrusted guest users from exploiting this issue. However untrusted guest administrators can still trigger it unless further steps are taken to prevent them from loading code into the kernel (e.g. by disabling loadable modules etc) or from using other mechanisms which allow them to run code at kernel privilege.
Comment 1 Adam Mariš 2015-10-15 04:09 EDT
Created attachment 1083160 [details]
xen-unstable, Xen 4.6.x
Comment 2 Adam Mariš 2015-10-15 04:10 EDT
Created attachment 1083161 [details]
Xen 4.5.x
Comment 3 Adam Mariš 2015-10-15 04:10 EDT
Created attachment 1083162 [details]
Xen 4.4.x, Xen 4.3.x
Comment 4 Martin Prpič 2015-10-29 09:42:24 EDT
External References:

http://xenbits.xen.org/xsa/advisory-148.html
Comment 5 Martin Prpič 2015-10-29 09:51:41 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1276344]
Comment 6 Fedora Update System 2015-11-08 17:21:09 EST
xen-4.5.1-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-09 19:22:24 EST
xen-4.5.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-09 19:50:32 EST
xen-4.4.3-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.